import request from '@/static/js/request.js'

const apiUri = {
	login: '/auth/mobile',
	data: '/goods/data',
	add: '/goods/add_order',
	save: '/user/save',
	mobileAuth: '/auth/mobile/auth',
	nicknameAuth: '/auth/nickname/auth',
}

export function mobileAuth(param) {
	return request.request(apiUri.mobileAuth,'POST', param,false,true,false)
}
export function nicknameAuth(param) {
	return request.request(apiUri.nicknameAuth,'POST', param,false,true,false)
}

export function login(param) {
	return request.request(apiUri.login,'POST', param,false,true,false)
}
export function data(param) {
	return request.request(apiUri.data,'GET', param,false,true,true)
}
export function add(param) {
	return request.request(apiUri.add,'POST', param,false,true,false)
}
export function save(param) {
	return request.request(apiUri.save,'POST', param,false,true,false)
}